MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007404ardourbugspublic2017-06-24 01:132017-07-20 11:47
Reporterriban 
Assigned Toovenwerks 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionno change required 
Platformi86-64-bitOSWindowsOS Version7
Product Version5.X git (version in description) 
Target VersionFixed in Version 
Summary0007404: Ignores OSC "Reply Manual Port"
DescriptionSetting OSC port mode to manual results in destination port 8000 always being used.
Steps To ReproduceEnable OSC.
Set "Port Mode" to "Manual".
Set "Reply Manual Port" to "3819".
Trigger some OSC traffic.
Expected behaviour: OSC traffic is sent to UDP port 3819.
Actual behaviour: OSC traffic is sent to UDP port 8000.
Additional InformationI have tried clearing OSC devices to no affect (except this often crashes Ardour which I will report in a separate ticket).

Ardour version 5.10. (Cannot select in Mantis as normal users (like me) do not see this version.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0019805)
ovenwerks (reporter)
2017-06-24 07:52

3819 can not be used by two servers on the same machine. Use a different port. There should be no reason to use 3819 as a feedback port. Port numbers 1024 and lower will also not work.
(0019806)
riban (reporter)
2017-06-24 08:30

Issue persists with other ports, e.g. 2001.
(0019807)
ovenwerks (reporter)
2017-06-24 14:56

Have you tried 2001<enter>?
(0019808)
riban (reporter)
2017-06-25 03:43

Pressing <enter> after entering the "Reply Manual Port" does work-around this issue. There must be a failure to check the field value on some focus activity, e.g. onLostFocus (or what ever the equivalent is within the UI framework). I suggest updating the documentation to describe the work-around, reducing the severity then fixing the bug in a future release.
(0019911)
ovenwerks (reporter)
2017-07-20 11:46

This has been made clearer in git. The port will have a blue background until the number in the box is valid. As soon as the value is valid it is entered if an enter key is pressed or not. I hope this helps.

- Issue History
Date Modified Username Field Change
2017-06-24 01:13 riban New Issue
2017-06-24 07:52 ovenwerks Note Added: 0019805
2017-06-24 07:54 ovenwerks Status new => resolved
2017-06-24 07:54 ovenwerks Resolution open => no change required
2017-06-24 07:54 ovenwerks Assigned To => ovenwerks
2017-06-24 08:30 riban Note Added: 0019806
2017-06-24 08:30 riban Status resolved => feedback
2017-06-24 08:30 riban Resolution no change required => reopened
2017-06-24 14:56 ovenwerks Note Added: 0019807
2017-06-25 03:43 riban Note Added: 0019808
2017-06-25 03:43 riban Status feedback => assigned
2017-06-29 15:41 ovenwerks Status assigned => resolved
2017-06-29 15:41 ovenwerks Resolution reopened => no change required
2017-07-20 11:46 ovenwerks Note Added: 0019911


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker